function  [par,TRParSet]=ParSetTR(nSig)
% parameters setting for TR_DeNoising
par.lamada        =   0.54;
par.nSig          =   nSig;                                 % Variance of the noise image
par.delta         =   0.1;                                  % Parameter between each iter
par.SearchWin     =   50;                   

if nSig <= 10
    par.patsize       =   6;                             % Patch size
    par.patnum        =   200;                           % Initial Non-local Patch number                         
    par.deNoisingIter =   2;                         % total iteration numbers
    TRParSet.lambda = 0.5;
    TRParSet.rho = 1; 
    TRParSet.maxiter = 500;                            % max iteration number for TR tensor recovery
    TRParSet.r       = [12 8 8];
elseif nSig <= 30
    par.patsize       =   6;                            
    par.patnum        =   200;                          
    par.deNoisingIter =   3; 
    TRParSet.lambda = 0.5;
    TRParSet.rho = 1; 
    TRParSet.maxiter = 300;                            % max iteration number for TR tensor recovery
    TRParSet.r       = [9 3 3];
elseif nSig <= 50
    par.patsize       =   6;                            
    par.patnum        =   200;                          
    par.deNoisingIter =   4;
    TRParSet.lambda = 0.5;
    TRParSet.rho = 1; 
    TRParSet.maxiter = 200;                            % max iteration number for TR tensor recovery
    TRParSet.r       = [9 3 3];
elseif nSig <= 100
    par.patsize       =   6;                            
    par.patnum        =   200;                          
    par.deNoisingIter =   5;
    TRParSet.lambda = 0.5;
    TRParSet.rho = 1; 
    TRParSet.maxiter = 100;                            % max iteration number for TR tensor recovery
    TRParSet.r       = [9 3 3];
end
par.step          =   floor((par.patsize-1)); 